package com.jqtx.windows.component.enums;

/**
 * @Author: wuwei
 * @Date: 2019/12/04 13:40
 * 重试推送类型
 */
public enum RetryStateEnum {

    SUBMITED("SUBMITED", "待推送"),

    PUSH_SUCCESS("SUCCESS", "推送成功"),

    PUSH_FAIL("FAIL", "推送失败");

    private String message;

    private String code;

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    private RetryStateEnum(String code, String message) {
        this.message = message;
        this.code = code;
    }
}
